////////////////////////////////////////////////////////////////
//
// file: TkelvinThread.h
// Author: Kelvin Sung
// Date: April 2003
//
//
//  TkelvinThread: very dumb nothing class, when runs, block
//  	all student threads from doing useful work
//
//	Implementation: Subclass from TworkerThread
//
//	Communicates with the main thread based on TsyncObject
//
//
#ifndef TKELVIN_THREAD_H
#define TKELVIN_THREAD_H

#include "TsyncObject.h"
			// for TsyncObject
			//
#include "TworkerThread.h"


class TkelvinThread : public TworkerThread {
	protected:
	public:
		TkelvinThread(char *name, int id, int tm) :
			TworkerThread(name, id, tm) {}

		virtual void StartThread();
				// override this to start our own thread ...
				// 
};
#endif
